mutation RefreshScxChannelAttributeDefinitions($request: RefreshScxChannelAttributeDefinitionsCommandRequestInput!) {
RefreshScxChannelAttributeDefinitions(request: $request)
}{
"request": {
"salesChannelId": "string"
}
}{
"data": {
"RefreshScxChannelAttributeDefinitions": true
}
}RefreshScxChannelAttributeDefinitions
Refreshes the channel attribute definitions of the marketplace channel of an SCX seller from the marketplace, as delivered by “GET /v2/scx/channels//attributes” or “QueryScxChannelAttribute”. The refresh is done right away, even if the definitions were refreshed shortly before. The call refreshes definitions only and writes no attribute values. The definitions apply to the whole marketplace channel, not only to this seller; the seller is part of the route because the call to the marketplace uses the seller’s credentials. Attribute definitions that the marketplace no longer lists may be removed. Calls to the marketplace are rate limited by the marketplace. If the limit is reached, the call fails with the error SCX_ATTRIBUTE_SYNC_FAILED.
If a request with this mutation’s Idempotency-Key was already completed, the response’s extensions contains an idempotency.{responseName} entry with wasReplayed: true.
RefreshScxChannelAttributeDefinitions(request: RefreshScxChannelAttributeDefinitionsCommandRequestInput!): Boolean!Arguments
Returns
mutation RefreshScxChannelAttributeDefinitions($request: RefreshScxChannelAttributeDefinitionsCommandRequestInput!) {
RefreshScxChannelAttributeDefinitions(request: $request)
}{
"request": {
"salesChannelId": "string"
}
}{
"data": {
"RefreshScxChannelAttributeDefinitions": true
}
}Was this page helpful?